Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF » [Maven][Teneo] Problems with resolving org.hibernate.criterion(Using tycho to resolve artifcats, which is failing for org.hibernate.criterion used by Teneo Hibernate)
[Maven][Teneo] Problems with resolving org.hibernate.criterion [message #1077199] Thu, 01 August 2013 11:08 Go to next message
John M. is currently offline John M.
Messages: 198
Registered: July 2010
Senior Member
Hello,

I am trying to set up my maven build for an EMF application using teneo with hibernate.
In general it works but it can't resolve the package org.hibernate.criterion.
[ERROR] Cannot resolve project dependencies:
[ERROR]   Software being installed: processAnalyzer.core 1.0.0.qualifier
[ERROR]   Missing requirement: org.eclipse.emf.teneo.hibernate 2.0.1.v201302282249 requires 'package org.hibernate.criterion [4.0.0,5.0.0)' but it could not be
found
[ERROR]   Cannot satisfy dependency: processAnalyzer.core 1.0.0.qualifier depends on: bundle org.eclipse.emf.teneo.hibernate 2.0.1
[ERROR]
[ERROR] Internal error: java.lang.RuntimeException: "No solution found because the problem is unsatisfiable.": ["Unable to satisfy dependency from org.eclipse.e
mf.teneo.hibernate 2.0.1.v201302282249 to package org.hibernate.criterion [4.0.0,5.0.0).", "Unable to satisfy dependency from processAnalyzer.core 1.0.0.qualifi
er to bundle org.hibernate 4.1.1.", "No solution found because the problem is unsatisfiable."] -> [Help 1]


My maven pom.xml contains following dependencies:
<dependencies>
	<dependency>
		<groupId>org.hibernate</groupId>
		<artifactId>hibernate-core</artifactId>
		<version>4.1.1.Final</version>
	</dependency>
	<dependency>
		<groupId>org.eclipse.emf</groupId>
		<artifactId>org.eclipse.emf.teneo.hibernate</artifactId>
		<version>2.0.1-v201302282249</version>
	</dependency>
	<dependency>
		<groupId>org.eclipse.emf</groupId>
		<artifactId>
			org.eclipse.emf.teneo.hibernate.mapper
		</artifactId>
		<version>2.0.1-v201302282249</version>
	</dependency>
	<dependency>
		<groupId>mysql</groupId>
		<artifactId>mysql-connector-java</artifactId>
		<version>5.1.11</version>
	</dependency>
	<dependency>
		<groupId>org.eclipse.emf</groupId>
		<artifactId>org.eclipse.emf.teneo</artifactId>
		<version>2.0.1-v201302282249</version>
	</dependency>
	<dependency>
		<groupId>org.eclipse.emf</groupId>
		<artifactId>org.eclipse.emf.teneo.annotations</artifactId>
		<version>2.0.1-v201302282249</version>
	</dependency>
</dependencies>


Regarding http://mvnrepository.com/artifact/org.hibernate/hibernate-core/4.1.1.Final I am using the right hibernate artifact. The package list contains the missing package.
What is wrong? Thanks for any hints.

[Updated on: Thu, 01 August 2013 14:40]

Report message to a moderator

Re: Maven project and teneo problems with resolving org.hibernate.criterion [message #1077940 is a reply to message #1077199] Fri, 02 August 2013 10:37 Go to previous messageGo to next message
Martin Taal is currently offline Martin Taal
Messages: 5334
Registered: July 2009
Senior Member
Hi John,
I have no idea why this fails. I am using this same teneo version with maven a few times a week and it works fine with me...
The only thing is that I use http://search.maven.org/ maybe there is a difference with your repository.

gr. Martin

On 08/01/2013 01:08 PM, John M. wrote:
> Hello,
>
> I am trying to set up my maven build for an EMF application using teneo with hibernate.
> In general it works but it can't resolve the package org.hibernate.criterion.
> [ERROR] Cannot resolve project dependencies:
> [ERROR] Software being installed: processAnalyzer.core 1.0.0.qualifier
> [ERROR] Missing requirement: org.eclipse.emf.teneo.hibernate 2.0.1.v201302282249 requires 'package
> org.hibernate.criterion [4.0.0,5.0.0)' but it could not be
> found
> [ERROR] Cannot satisfy dependency: processAnalyzer.core 1.0.0.qualifier depends on: bundle
> org.eclipse.emf.teneo.hibernate 2.0.1
> [ERROR]
> [ERROR] Internal error: java.lang.RuntimeException: "No solution found because the problem is unsatisfiable.": ["Unable
> to satisfy dependency from org.eclipse.e
> mf.teneo.hibernate 2.0.1.v201302282249 to package org.hibernate.criterion [4.0.0,5.0.0).", "Unable to satisfy dependency
> from processAnalyzer.core 1.0.0.qualifi
> er to bundle org.hibernate 4.1.1.", "No solution found because the problem is unsatisfiable."] -> [Help 1]
>
> My maven pom.xml contains following dependencies:
> <dependencies>
> <dependency>
> <groupId>org.hibernate</groupId>
> <artifactId>hibernate-core</artifactId>
> <version>4.1.1.Final</version>
> </dependency>
> <dependency>
> <groupId>org.eclipse.emf</groupId>
> <artifactId>org.eclipse.emf.teneo.hibernate</artifactId>
> <version>2.0.1-v201302282249</version>
> </dependency>
> <dependency>
> <groupId>org.eclipse.emf</groupId>
> <artifactId>
> org.eclipse.emf.teneo.hibernate.mapper
> </artifactId>
> <version>2.0.1-v201302282249</version>
> </dependency>
> <dependency>
> <groupId>mysql</groupId>
> <artifactId>mysql-connector-java</artifactId>
> <version>5.1.11</version>
> </dependency>
> <dependency>
> <groupId>org.eclipse.emf</groupId>
> <artifactId>org.eclipse.emf.teneo</artifactId>
> <version>2.0.1-v201302282249</version>
> </dependency>
> <dependency>
> <groupId>org.eclipse.emf</groupId>
> <artifactId>org.eclipse.emf.teneo.annotations</artifactId>
> <version>2.0.1-v201302282249</version>
> </dependency>
> </dependencies>
>
> Regarding http://mvnrepository.com/artifact/org.hibernate/hibernate-core/4.1.1.Final I am using the right hibernate
> artifact. The package list contains the missing package.
> What is wrong? Thanks for any hints.


--

With Regards, Martin Taal

Springsite/Elver.org
Office: Hardwareweg 4, 3821 BV Amersfoort
Postal: Nassaulaan 7, 3941 EC Doorn
The Netherlands
Cell: +31 (0)6 288 48 943
Tel: +31 (0)84 420 2397
Fax: +31 (0)84 225 9307
Mail: mtaal@xxxxxxxx - mtaal@xxxxxxxx
Web: www.springsite.com - www.elver.org
Re: Maven project and teneo problems with resolving org.hibernate.criterion [message #1078001 is a reply to message #1077940] Fri, 02 August 2013 12:10 Go to previous messageGo to next message
John M. is currently offline John M.
Messages: 198
Registered: July 2010
Senior Member
Hello Martin,

thanks for your answer. Can you upload your pom.xml? I want to compare my with yours. Smile
Re: Maven project and teneo problems with resolving org.hibernate.criterion [message #1080747 is a reply to message #1078001] Tue, 06 August 2013 10:33 Go to previous messageGo to next message
Martin Taal is currently offline Martin Taal
Messages: 5334
Registered: July 2009
Senior Member
Hi John,
On holiday so a little later answer...

Here are some snippets from the pom, I can't include it all as it is for a customer:

version properties:
<properties>
<hibernateVersion>4.2.0.Final</hibernateVersion>
<hibernateSearchVersion>4.2.0.Final</hibernateSearchVersion>
<emfVersion>2.8.0-v20120911-0500</emfVersion>
<emfXsdVersion>2.8.0-v20120319-0555</emfXsdVersion>
<teneoVersion>2.0.1-v201302282249</teneoVersion>
</properties>


<!-- START: Hibernate -->
<dependency>
<groupId>org.hibernate</groupId>
<artifactId>hibernate-core</artifactId>
<version>${hibernateVersion}</version>
<scope>compile</scope>
<exclusions>
<exclusion>
<groupId>org.jboss.spec.javax.transaction</groupId>
<artifactId>jboss-transaction-api_1.1_spec</artifactId>
</exclusion>
<exclusion>
<groupId>javax.transaction</groupId>
<artifactId>jta</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.hibernate</groupId>
<artifactId>hibernate-entitymanager</artifactId>
<version>${hibernateVersion}</version>
<scope>compile</scope>
<exclusions>
<exclusion>
<groupId>org.jboss.spec.javax.transaction</groupId>
<artifactId>jboss-transaction-api_1.1_spec</artifactId>
</exclusion>
</exclusions>
</dependency>
<!-- END: Hibernate -->

<!-- Start: EMF/XSD -->
<dependency>
<groupId>org.eclipse.emf</groupId>
<artifactId>org.eclipse.emf.ecore</artifactId>
<version>${emfVersion}</version>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>org.eclipse.emf</groupId>
<artifactId>org.eclipse.emf.ecore.xmi</artifactId>
<version>${emfVersion}</version>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>org.eclipse.emf</groupId>
<artifactId>org.eclipse.emf.common</artifactId>
<version>${emfVersion}</version>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>org.eclipse.xsd</groupId>
<artifactId>org.eclipse.xsd</artifactId>
<version>${emfXsdVersion}</version>
<scope>compile</scope>
</dependency>
<!-- END: EMF/XSD -->

<!-- START: Teneo -->
<dependency>
<groupId>org.eclipse.emf</groupId>
<artifactId>org.eclipse.emf.teneo</artifactId>
<version>${teneoVersion}</version>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>org.eclipse.emf</groupId>
<artifactId>org.eclipse.emf.teneo.annotations</artifactId>
<version>${teneoVersion}</version>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>org.eclipse.emf</groupId>
<artifactId>org.eclipse.emf.teneo.hibernate</artifactId>
<version>${teneoVersion}</version>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>org.eclipse.emf</groupId>
<artifactId>org.eclipse.emf.teneo.hibernate.mapper</artifactId>
<version>${teneoVersion}</version>
<scope>compile</scope>
</dependency>
<!-- END: Teneo -->



On 08/02/2013 02:10 PM, John M. wrote:
> Hello Martin,
>
> thanks for your answer. Can you upload your pom.xml? I want to compare my with yours. :)


--

With Regards, Martin Taal

Springsite/Elver.org
Office: Hardwareweg 4, 3821 BV Amersfoort
Postal: Nassaulaan 7, 3941 EC Doorn
The Netherlands
Cell: +31 (0)6 288 48 943
Tel: +31 (0)84 420 2397
Fax: +31 (0)84 225 9307
Mail: mtaal@xxxxxxxx - mtaal@xxxxxxxx
Web: www.springsite.com - www.elver.org
Re: [Maven][Teneo] Problems with resolving org.hibernate.criterion [message #1082980 is a reply to message #1077199] Fri, 09 August 2013 09:45 Go to previous messageGo to next message
John M. is currently offline John M.
Messages: 198
Registered: July 2010
Senior Member
Hello Martin,

no problem for me and thanks so far for your answer.
I didn't managed it yet.

I think there is perhaps something else in your tycho configuration compared to mine.
[ERROR] Cannot resolve project dependencies:
[ERROR]   Software being installed: processAnalyzer.core 1.0.0.qualifier
[ERROR]   Missing requirement: processAnalyzer.core 1.0.0.qualifier requires 'bundle org.hibernate 4.1.1' but it could not be found
[ERROR]
Re: [Maven][Teneo] Problems with resolving org.hibernate.criterion [message #1083052 is a reply to message #1082980] Fri, 09 August 2013 11:57 Go to previous messageGo to next message
Martin Taal is currently offline Martin Taal
Messages: 5334
Registered: July 2009
Senior Member
Hi John,
the snippets I showed are being used in a 'straight' maven project, so no tycho there. I am not a tycho or even maven
expert at all, so I am afraid I can't really help (other then that it works for me/us in the maven projects we have).

gr. Martin

On 08/09/2013 11:45 AM, John M. wrote:
> Hello Martin,
>
> no problem for me and thanks so far for your answer.
> I didn't managed it yet.
>
> I think there is perhaps something else in your tycho configuration compared to mine.
> [ERROR] Cannot resolve project dependencies:
> [ERROR] Software being installed: processAnalyzer.core 1.0.0.qualifier
> [ERROR] Missing requirement: processAnalyzer.core 1.0.0.qualifier requires 'bundle org.hibernate 4.1.1' but it could
> not be found
> [ERROR]


--

With Regards, Martin Taal

Springsite/Elver.org
Office: Hardwareweg 4, 3821 BV Amersfoort
Postal: Nassaulaan 7, 3941 EC Doorn
The Netherlands
Cell: +31 (0)6 288 48 943
Tel: +31 (0)84 420 2397
Fax: +31 (0)84 225 9307
Mail: mtaal@xxxxxxxx - mtaal@xxxxxxxx
Web: www.springsite.com - www.elver.org
Re: [Maven][Teneo] Problems with resolving org.hibernate.criterion [message #1083056 is a reply to message #1082980] Fri, 09 August 2013 12:01 Go to previous message
Martin Taal is currently offline Martin Taal
Messages: 5334
Registered: July 2009
Senior Member
While I pressed the send button on my previous answer. Can it be the difference that maven does not read the
plugin/package dependencies, while tycho does?
The org.hibernate.criterion package (you reported earlier) is present in hibernate 4.1.1 which I have installed. So not
sure why tycho is complaining.

gr. Martin

On 08/09/2013 11:45 AM, John M. wrote:
> Hello Martin,
>
> no problem for me and thanks so far for your answer.
> I didn't managed it yet.
>
> I think there is perhaps something else in your tycho configuration compared to mine.
> [ERROR] Cannot resolve project dependencies:
> [ERROR] Software being installed: processAnalyzer.core 1.0.0.qualifier
> [ERROR] Missing requirement: processAnalyzer.core 1.0.0.qualifier requires 'bundle org.hibernate 4.1.1' but it could
> not be found
> [ERROR]


--

With Regards, Martin Taal

Springsite/Elver.org
Office: Hardwareweg 4, 3821 BV Amersfoort
Postal: Nassaulaan 7, 3941 EC Doorn
The Netherlands
Cell: +31 (0)6 288 48 943
Tel: +31 (0)84 420 2397
Fax: +31 (0)84 225 9307
Mail: mtaal@xxxxxxxx - mtaal@xxxxxxxx
Web: www.springsite.com - www.elver.org
Previous Topic:[CDO] CDOView.queryXRefs() vs. EcoreUtil.CrossReferencer.find()
Next Topic:[Teneo] How to order containment reference?
Goto Forum:
  


Current Time: Tue Sep 23 16:36:04 GMT 2014

Powered by FUDForum. Page generated in 0.02010 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software